Frontend Donor
Donor View Entity
Displays a specific entity’s profile and related information to the donor.
GET
/
frontend
/
donor
/
dashboard
/
entity
/
{client_id}
/
{program_id}
/
{entity_id}
/
{session_id}
Donor View Entity
curl --request GET \
--url https://api.helpyousponsor.com/v1/frontend/donor/dashboard/entity/{client_id}/{program_id}/{entity_id}/{session_id} \
--header 'session_id: <api-key>'import requests
url = "https://api.helpyousponsor.com/v1/frontend/donor/dashboard/entity/{client_id}/{program_id}/{entity_id}/{session_id}"
headers = {"session_id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {session_id: '<api-key>'}};
fetch('https://api.helpyousponsor.com/v1/frontend/donor/dashboard/entity/{client_id}/{program_id}/{entity_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {}
}{
"redirect": "<string>",
"status": "error"
}Authorizations
Use a session id to authenticate
Path Parameters
Client ID associated with the donor account
Program ID associated with the donor account
Entity ID to be viewed by the donor
Session ID for retrieving donor information
⌘I
Donor View Entity

